Subject: RE: [PSAMP] Metering Process and/or Selection Process

From: "Zseby, Tanja" <[email-masked]>
Date: Tue, 7 Nov 2006 00:40:51 +0100

Hi Benoit,

my understanding was that we now only define the IPFIX metering process
and remove the PSAMP measurement process. As a result packets or flows
can be exported.
The IPFIX metering process can include a selection process (as defined
in the IPFIX drafts). So I would agree with drawing 1.
If there is the need to clarify those terms further, the best would be
to have a short meeting at IETF this week.

Regards,
Tanja 

> -----Original Message-----
> From: Benoit Claise [mailto:[email-masked]] 
> Sent: Friday, October 13, 2006 6:32 PM
> To: psamp
> Subject: [PSAMP] Metering Process and/or Selection Process
> 
> Tanja, all,
> 
> I want to start a new email thread, discussing one of the 
> point raised by Tanja in 
> http://www1.ietf.org/mail-archive/web/psamp/current/msg00325.html
> 
> 
> 	2: Section 3.3.1: As far as I know we agreed that we 
> use the same metering process definition for IPFIX and PSAMP. 
> So the only difference I see between PSAMP and IPFIX 
> processes are the Information elements that are reported. So 
> I found section 3.3.1. a bit confusing. 
> 	
> 
> Note: in Dallas, we agreed to replace the "measurement 
> process" by the "metering process"
> While re-reading this section 3.3.1, I agree this is 
> confusing. So we have to change this text/picture      
> 
>    The figure B indicates the sequence of the processes 
> (selection and 
>    exporting) within the PSAMP Device. 
>           
>                   +----------+      +-----------+ 
>         Observed  | Metering |      | Exporting | 
>         Packet--->| Process  |----->| Process   |--->Collector 
>         Stream    +----------+      +-----------+ 
>     
>        Figure B: PSAMP Processes 
>                           
>    The Selection Process, which takes an Observed Packet 
> Stream as its 
>    input and produces Packet Reports as its output, is an 
> integral part 
>    of the Metering Process, which by its definition produces Flow 
>    Records as its output. 
> 
> 
> I was wondering how to change this: basically, we've got 2 choices!
> Drawing 1:
>   
>            +------------------+ 
>            | Metering Process | 
>            | +-----------+    |     +-----------+ 
>  Observed  | | Selection |    |     | Exporting | 
>  Packet--->| | Process   |--------->| Process   |--->Collector 
>  Stream    | +-----------+    |     +-----------+ 
>            +------------------+
> 
> This would be consistent with the text in section 3.3.1:
> 
> 
> 	The Selection Process, which takes an Observed Packet 
> Stream as its input and produces Packet Reports as its 
> output, is an integral part of the Metering Process, which by 
> its definition produces Flow Records as its output.
> 	
> 	
> 
> Drawing 2:
> 
>            +-----------+   +----------+    +-----------+ 
>  Observed  | Selection |   | Metering |    | Exporting | 
>  Packet--->| Process   |-->| Process  |--->| Process   |--->Collector 
>  Stream    +-----------+   +----------+    +-----------+ 
>   
>     Figure B: PSAMP Processes
> 
> This would be consistent with the text in section 3.2.2: 
> 
>    Selection Process 
>          
>    A Selection Process takes the Observed Packet Stream as 
> its input and 
>    selects a subset of that stream as its output. 
> 
> 
> 
> 
> However, we quickly realize that we've an inconsistency in 
> the following definitions;
> 
> 
>    Selection Process 
>          
>    A Selection Process takes the Observed Packet Stream as 
> its input and 
>    selects a subset of that stream as its output. 
>    Report Stream 
>          
>    The Report Stream is the output of a Selection Process, comprising 
>    two distinguished types of information: Packet Reports, and Report 
>    Interpretation.
> 
> One definition says that the selection process doesn't 
> generate the report stream while another says the reverse.
> To solve this issue we've got 2 solutions:
> 
> 
> Solution 1:
> We divide the metering process into a Selection Process 
> (Packet Stream in, Selected Packets out) and a Reporting 
> Process (Selected Packets In, Packet Reports Out). This is 
> the way it's done in [PSAMP-FRAMEWORK]:
> 
>       * Report Stream: 
>             
>            The report stream is the output of a reporting process, 
>            comprising two distinguished types of information: packet 
>            reports, and report interpretation. 
> As far as I recall, we decided to remove the Reporting 
> Process from [PSAMP-PROTO]... This rules out solution 1.
> 
> Solution 2:
> 
>            +-----------+   +----------+    +-----------+ 
>  Observed  | Selection |   | Metering |    | Exporting | 
>  Packet--->| Process   |-->| Process  |--->| Process   |--->Collector 
>  Stream    +-----------+   +----------+    +-----------+ 
>   
>     Figure B: PSAMP Processes
> 
> So it means that PSAMP = IPFIX + an extra Selection Process.
> We must update 
> 
>    Report Stream 
>          
>    The Report Stream is the output of a Metering (AND NOT 
> SELECTION) Process, 
>    comprising two distinguished types of information: Packet 
> Reports, and Report 
>    Interpretation
> 
> Solution 3: 
> 
>   
>            +------------------+ 
>            | Metering Process | 
>            | +-----------+    |     +-----------+ 
>  Observed  | | Selection |    |     | Exporting | 
>  Packet--->| | Process   |--------->| Process   |--->Collector 
>  Stream    | +-----------+    |     +-----------+ 
>            +------------------+
> 
> So the metering process: Packet Stream in, Packet Reports out.
> We must update 
> 
>    Report Stream 
>          
>    The Report Stream is the output of a Metering (AND NOT 
> SELECTION) Process, 
>    comprising two distinguished types of information: Packet 
> Reports, and Report 
>    Interpretation
> 
> What's your preferred solution?
> 
> Regards, Benoit. 
> 
> 
> 
>  
> 
> 
> 

_______________________________________________
PSAMP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/psamp